<?php


$conf_basedir	= "../../";	//相对主目录的位置
$conf_where		= "admin";	//选择调用相应模块
$directory		= basename(dirname(__FILE__));	//定义当前所在的目录，引入模块公用函数
include_once($conf_basedir."base.inc.php");


if($_POST['action'] =='save') {
    if($_POST['data']) {
        $data = $_POST['data'];
        
       $vasSetPromotRecord = new VasSetPromotRecord();
       $conf_where = "id = ".intval($data['id']);
       if($data['status']==2){
           $fieldData['start_time'] = $data['stime'];
           $fieldData['end_time'] = $data['etime'];
       }
       $fieldData['status'] = intval($data['status']);
       $vasSetPromotRecord->update($fieldData, $conf_where);
        //定投推广设置
        $logMessage = "定投推广设置,data:".  json_encode($data);
        $operateRecord->insertData('', 'update', 
        $logMessage, $_SESSION['esfadmin']['username']);
    }
}
$result = array('result'=>'1');
echo json_encode($result);